(define (script-fu-resize800_2 img 1stlayer xsize ysize)

	; start undo block
	(gimp-undo-push-group-start img)

	; Das aktive Layer mit 1stlayer adressieren
	(set! 1stlayer (car (gimp-image-get-active-layer img)))
	
	;Hoch- oder Querformat?
	(set! imgheight (car (gimp-image-height img)))
	(set! imgwidth (car (gimp-image-width img)))
	
	(define newheight ysize)
	(define newwidth xsize)
	(if (> imgheight imgwidth)
		 (define newwidth ysize))
	(if (> imgheight imgwidth)
		 (define newheight xsize))
	

	(gimp-image-scale img newwidth newheight 0 0)
	
	(plug-in-sharpen RUN-NONINTERACTIVE img 1stlayer 20)
	(plug-in-sharpen RUN-NONINTERACTIVE img 1stlayer 20)

	;stop undo block
	(gimp-image-undo-group-end img)

	; Display aktualisieren
	(gimp-displays-flush)
	
)

(script-fu-register "script-fu-resize800_2" 
	_"800px_2"
	"Longest size will be 800px"
	"Pierre Wasser <pierre@samthammel.de>"
	"Pierre Wasser"
	"23.07.2007"
	"RGB*, GRAY*"
	SF-IMAGE "Image" 0
	SF-DRAWABLE "Layer" 0
	SF-ADJUSTMENT _"Long Side"       '(800 1 4096 1 10 0 1)
	SF-ADJUSTMENT _"Short Side"       '(600 1 4096 1 10 0 1)
)

(script-fu-menu-register "script-fu-resize800_2"
                         _"<Image>/Script-Fu")
